<!DOCTYPE html>
<html lang="en">
  <head>
    <title><%= current_user.first_name %>'s scores</title>
  </head>

  <body>
    <div class="container">
      <div class="jumbotron">
         <h1><%= @user.first_name %>'s scores - <%= link_to "Upload score!", "#new", "data-toggle" => "modal", :class => 'btn btn-lg btn-success' %></h1>
         
         <div class="row">
            <div class="col-2"><h3>Score name</h3></div>
            <div class="col-2"><h3>Analyse?</h3></div>
            <div class="col-2"><h3>Privacy</h3></div>
            <div class="col-2"><h3>Share?</h3></div>
            <div class="col-2"><h3>Download</h3></div>
            <div class="col-2"><h3>Remove</h3></div>
        </div>
        
        <% @scores.each do |score| %>
            <div class="row">
                <div class="col-2"><%= score.name %></div>
                <div class="col-2"><%= link_to "Analyse", convert_score_path(score), :method => :put, remote: true %></div>
                <div class="col-2"><%= score.share ? "Public" : "Private" %></div>
                <div class="col-2">
                    <% if score.copied %>
                        Cannot share copies
                    <% end %>
                    <% if score.share && !score.copied %>
                        <span class="unshare-score"><%= link_to "Make private", unshare_score_path(score), :method => :put, remote: true %></span>
                    <% elsif !score.copied %>
                        <span class="share-score"><%= link_to "Make public", share_score_path(score), :method => :put, remote: true %></span>
                    <% end %>
                </div>
                <div class="col-2"><span class="download-score"><%= link_to "Download", download_score_user_path(score), target: :_blank, :method => :get %></span></div>
                <div class="col-2"><%= link_to 'Delete', score_path(score), data: {:confirm => 'Are you sure?'}, :method => :delete %></div>
            </div>
        <% end %>
        
      </div>

    </div><!-- /.container -->
  </body>
</html>
